org.apache.solr.search.grouping.distributed.command

## Class TopGroupsFieldCommand.Builder

- java.lang.Object
- - org.apache.solr.search.grouping.distributed.command.TopGroupsFieldCommand.Builder

- Enclosing class:
    TopGroupsFieldCommand

      public static class TopGroupsFieldCommand.Builder
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TopGroupsFieldCommand` | `build()`
    `TopGroupsFieldCommand.Builder` | `setField(SchemaField field)`
    `TopGroupsFieldCommand.Builder` | `setFirstPhaseGroups(Collection<SearchGroup<BytesRef>> firstPhaseGroups)`
    `TopGroupsFieldCommand.Builder` | `setGroupSort(Sort groupSort)`
    `TopGroupsFieldCommand.Builder` | `setMaxDocPerGroup(int maxDocPerGroup)`
    `TopGroupsFieldCommand.Builder` | `setNeedMaxScore(Boolean needMaxScore)`
    `TopGroupsFieldCommand.Builder` | `setNeedScores(Boolean needScores)`
    `TopGroupsFieldCommand.Builder` | `setSortWithinGroup(Sort sortWithinGroup)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### setField

          public TopGroupsFieldCommand.Builder setField(SchemaField field)

    - #### setGroupSort

          public TopGroupsFieldCommand.Builder setGroupSort(Sort groupSort)

    - #### setSortWithinGroup

          public TopGroupsFieldCommand.Builder setSortWithinGroup(Sort sortWithinGroup)

    - #### setFirstPhaseGroups

          public TopGroupsFieldCommand.Builder setFirstPhaseGroups(Collection<SearchGroup<BytesRef>> firstPhaseGroups)

    - #### setMaxDocPerGroup

          public TopGroupsFieldCommand.Builder setMaxDocPerGroup(int maxDocPerGroup)

    - #### setNeedScores

          public TopGroupsFieldCommand.Builder setNeedScores(Boolean needScores)

    - #### setNeedMaxScore

          public TopGroupsFieldCommand.Builder setNeedMaxScore(Boolean needMaxScore)

    - #### build

          public TopGroupsFieldCommand build()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.